#!/bin/bash
echo "Cleaning RetroArch build folder"
pushd ~/ > /dev/null 2>&1
pushd RetroArch > /dev/null 2>&1
make -f Makefile.switch clean
if [ -f "fs.squashfs" ]
then
	rm fs.squashfs
fi
if [ -f "libretro_switch.a" ]
then
	rm libretro_switch.a
fi
if [ -f "retroarch_switch.nro" ]
then
	rm retroarch_switch.nro
fi

echo "==================================================================="
echo "==================================================================="
echo "==================================================================="
echo "Select which emulator you want to build"
echo "1. snes9x (Super Nintendo)"
echo "2. vba-next (Gameboy Advanced)"
echo "3. fceumm (Nintendo)"
read emu
if [ "$emu" == "1" ]
then   
   cp /home/$USER/libtransistor-snes9x2010/snes9x2010_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "2" ]
then
   cp /home/$USER/vba-next/vba_next_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
else
   cp /home/$USER/libretro-fceumm/fceumm_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
fi
if [ -f "retroarch_switch.nro" ]
then
	cp retroarch_switch.nro ../pegaswitch/nros/retroarch.nro
fi
popd > /dev/null 2>&1 # RetroArch
popd > /dev/null 2>&1 # ~/
